{% extends 'base.html.twig' %}

{% block icon %}fa fa-tag{% endblock %}
{% block title %}Étiquettes{% endblock %}
{% block breadcrumb %}
    <li>Administration</li>
    <li class="active">Étiquettes</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
            type="button"
            class="btn btn-success"
            data-modal="ajax"
            data-url="{{ url('app_label_add') }}"
            data-title="Créer une étiquette"
            data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer une étiquette
        </button>
        <button
            type="button"
            class="btn btn-success"
            data-modal="ajax"
            data-url="{{ url('app_label_import1') }}"
            data-title="Importer des étiquettes"
            data-table="#{{ table.id() }}"
        >
            <i class="fa fa-upload fa-space" aria-hidden="true"></i>
            Importer des étiquettes
        </button>
        <a href="{{ url('app_label_export', app.request.query.all) }}" download="export_labels.refae" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments
        </a>
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des étiquettes"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_label_csv', app.request.query.all) }}" data-link-download-csv="%s_label.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}
